﻿@model Bll.Models.WorkExperienceModel

@{
    ViewBag.Title = "Edit Work Experience";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Work Experience</h2>
    </div>
    <div class="d-flex justify-content-center w-100">
        <div class="border border-2 border-dark rounded-1 p-2 w-75 mb-5">
            @using (Html.BeginForm("EditWorkExperience", "WorkExperience", FormMethod.Post))
            {
                @Html.AntiForgeryToken()
                @Html.HiddenFor(model => model.Id)
                @Html.HiddenFor(model => model.UserId)
                <div class="form-horizontal">
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="mb-3">
                        @Html.LabelFor(model => model.CompanyName, "Company Name", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.CompanyName, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.CompanyName, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Position, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Position, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Position, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.StartDate, "Start Date", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            <input type="month" id="StartDate" name="StartDate" value="@Model.StartDate.Year-@string.Format("{0:00}", Model.StartDate.Month)" max="@DateTime.Now.Year-@string.Format("{0:00}", DateTime.Now.Month)"  min="@DateTime.Now.AddYears(-90).Year-@string.Format("{0:00}", DateTime.Now.Month)">
                            @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.FinishDate, "Finish Date", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @if (Model.FinishDate.HasValue)
                            {
                                <input type="month" id="FinishDate" name="FinishDate" value="@Model.FinishDate.Value.Year-@string.Format("{0:00}", Model.FinishDate.Value.Month)" max="@DateTime.Now.Year-@string.Format("{0:00}", DateTime.Now.Month)"  min="@DateTime.Now.AddYears(-90).Year-@string.Format("{0:00}", DateTime.Now.Month)">
                            }
                            else
                            {
                                <input type="month" id="FinishDate" name="FinishDate" max="@DateTime.Now.Year-@string.Format("{0:00}", DateTime.Now.Month)"  min="@DateTime.Now.AddYears(-90).Year-@string.Format("{0:00}", DateTime.Now.Month)">
                            }
                            @Html.ValidationMessageFor(model => model.FinishDate, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-primary d-flex">Save changes</button>
                    </div>
                </div>
            }

            @section Scripts {
                @Scripts.Render("~/bundles/jqueryval")
            }
        </div>
    </div>
</div>
